function pos = rotation(pos,deg)
% ROTATION rotates a vector
% POS=ROTATION(POS,DEG) rotates the 2d vector POS by DEG counter-clockwise
% Input: POS: Current 2d position
%
%        DEG: Rotationangle in radian
%
% Output: POS: Rotated postion
%
% Author: Johannes Churt

if (deg~=0)
    pos=[cos(deg),sin(deg);-sin(deg),cos(deg)]*pos;
end
end

